Don't have Telegram yet? Try it now!
Android 3.0 Honeycomb no tiene requisitos mínimos https://elandroidelibre.elespanol.com/2011/01/android-3-0-honeycomb-no-tiene-requisitos-minimos.html